import Navmenu from './navmenu'
import NavmenuGroup from './navmenu-group'
import NavmenuItem from './navmenu-item'

Navmenu.install = (Vue) => {
  Vue.component(NavmenuGroup.name, NavmenuGroup)
  Vue.component(NavmenuItem.name, NavmenuItem)
  Vue.component(Navmenu.name, Navmenu)
}

export {
  Navmenu,
  NavmenuGroup,
  NavmenuItem
}

export default Navmenu
